<?php
include ("ust.php");
session_start(); ## -> Oturum Başlatıldı
$giris_kontrol = $_SESSION['kullanici_id']; if(empty($giris_kontrol)){echo '<meta http-equiv="refresh" content="0;URL=index.php">';}else{


$dilgoster = g("dilgoster");
if(empty($dilgoster)){}else{$d_k_d = "&dilgoster=$dilgoster";}

## -> Silme İşlemi
$sil = g('sil');
switch($sil){
case "sil":

// İşlem Kayıt Modülü
$islemk_islem = "Bir duyuru silindi";
include("moduller/islemkayit_modul.php");

$id = g('id'); $id = mysql_real_escape_string($id);
$dosyabul=mysql_query("SELECT * FROM duyurular WHERE id='$id'"); 
$getir2=mysql_fetch_array($dosyabul); 
$resim = $getir2['resim'];
unlink('../'.$resim.'');
$sil = mysql_query("delete from duyurular where id='$id'") or die("Hata Olustu!");
if($sil){echo '<meta http-equiv="refresh" content="0;URL=duyurular.php?durum=basarili'.$d_k_d.'"> ';}
}
## ->  Silme İşlemi

$icerik_getir=mysql_query("SELECT * FROM diller WHERE id='$dilgoster'"); 
$getir=mysql_fetch_array($icerik_getir); 
$dil_g_u_baslik = $getir['baslik'];
?>
				<link rel="stylesheet" href="assets/plugins/html5-editor/bootstrap-wysihtml5.css" />
				<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
			
				<div class="container-fluid">
              
				<?php // Bakım modu aktif ise tüm duyurularda bakım uyarısı verir.
				if($geayar_bakim == "evet"){include("moduller/bakim-modul.php");} ?>
		
                <div class="row">
                <div class="col-12">

				<?php $durum = g('durum'); if($durum == "duzenleme-basarili") { ?>
				<div class="alert alert-success"> <i class="fa fa-check"></i> İşlem başarıyla gerçekleştirildi
				<button type="button" class="close" data-dismiss="alert" aria-label="Close"> </button>
				</div>
				<?php } ?>
				
				
                <div class="card">
                <div class="card-body">
				<div class="col-md-12">
				<div class="row">		
				<div class="col-md-8">
				<h4 class="card-title"><?php if(empty($dilgoster)){ echo "Türkçe";}else{ echo "$dil_g_u_baslik";}?> Duyuru Yönetimi <h4>
                <h6 class="card-subtitle">Bu alandan sitenizde bulunan duyuruları kolaylıkla yönetebilirsiniz</h6>
				</div>
				<div class="col-md-4">
				<?php 
				$islem = g("islem");
				if(empty($islem)){?>
				
				<div class="dropdown" style="float:right;margin-left:10px;">
				<button class="btn waves-effect waves-light btn-warning dropdown-toggle" type="button"  id="dropdownMenuButton2" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
				<i class="fa fa-language"></i> Göster
				</button>
				<div class="dropdown-menu" aria-labelledby="dropdownMenuButton2">
				
				<?php
		
				$dil_al = mysql_query("SELECT * FROM diller ORDER BY id ASC limit 0,999");
				while($yaz=mysql_fetch_array($dil_al)){
				$dil_g_id = $yaz['id'];
				$dil_g_baslik = $yaz['baslik'];
				$dil_g_resim = $yaz['resim'];
				
				echo '<a class="dropdown-item" href="duyurular.php?dilgoster='.$dil_g_id.'"><img src="../'.$dil_g_resim.'" width="26" height="26"></img> '.$dil_g_baslik.'</a>';
				
				}
				?>
				</div>
				</div>
				
				<a href="duyurular.php?islem=yeni<?php echo $d_k_d;?>">
				<button type="button" class="btn waves-effect waves-light btn-primary" style="float:right;">
				<i class="fa fa-plus-circle"></i> Oluştur
				</button>
				</a>
				
				
				
				<?php }else{ ?>
				<a href="duyurular.php?<?php echo $d_k_d;?>">
				<button type="button" class="btn waves-effect waves-light btn-danger" style="float:right;">
				<i class="fa fa-times"></i> İptal
				</button>
				</a>
				<?php } ?>
				</div>
				</div>
				</div>
                
				
				
				
				
				<!-- ################### -->
				<!-- Yeni İçerik Ekleme Alanı -->
				<!-- ################### -->



				<?php if($islem == "yeni"){?>
				
				<?php 
				## -> Yeni İçerik Ekleme
				$ileri = g('ileri');
				switch($ileri){
				case "ekle":

				$rastgele = rand(1000,9999);
				$posted = "resim";
				$baslik = p('baslik');
				$icerik = $_POST["icerik"];
				$goruntuleme = p('goruntuleme');
				$gizlinot = p('gizlinot');
				$icerik1 = $_POST["icerik"];
				$icerik = addslashes($icerik1);
				$seo_baslik = seo($baslik);
				$seo_url = $seo_baslik;
				$seo_url2 = "$seo_baslik"."-$rastgele";
				$seo_anahtarkelime = p('seo_anahtarkelime');
				$seo_aciklama = p('seo_aciklama');
				$veri_dil = p('veri_dil');
				$m4 = p('m4');
				$m5 = p('m5');
				$m6 = p('m6');
				$m7 = p('m7');
				$m8 = p('m8');
				$m9 = p('m9');
				$m10 = p('m10');
				$m11 = p('m11');
				$m12 = p('m12');
				$m13 = p('m13');
				$m14 = p('m14');
				$m15 = p('m15');
				$ekleyen = "$yonetici_kullanici_adi";
				$tarih = date('d.m.Y');


				// İşlem Kayıt Modülü
				$islemk_islem = "$baslik duyurusu oluşturuldu";
				include("moduller/islemkayit_modul.php");

				$ekle_veri = mysql_query("INSERT INTO duyurular (baslik,icerik,goruntuleme,seo_url,seo_anahtarkelime,seo_aciklama,veri_dil,ekleyen,tarih,resim,gizlinot,icerik_durum,m4,m5,m6,m7,m8,m9,m10,m11,m12,m13,m14,m15)VALUES('$baslik','$icerik','$goruntuleme','$seo_url','$seo_anahtarkelime','$seo_aciklama','$veri_dil','$ekleyen','$tarih','$resim','$gizlinot','$icerik_durum','$m4','$m5','$m6','$m7','$m8','$m9','$m10','$m11','$m12','$m13','$m14','$m15')");

				if($ekle_veri){echo '<meta http-equiv="refresh" content="0;URL=duyurular.php?durum=basarili'.$d_k_d.'"> '; }
				else{ echo '<meta http-equiv="refresh" content="0;URL=duyurular.php?durum=hata"> '; }
				break;
				}
				## -> Yeni İçerik Ekleme
				
				?>	
				<div class="col-lg-12">
                <div class="card card-outline-inverse">
                <div class="card-header">
                <h4 class="m-b-0 text-white">Yeni Duyuru Ekle</h4>
				
                </div>
				<form action="duyurular.php?islem=yeni&ileri=ekle<?php echo $d_k_d;?>" method="post" enctype="multipart/form-data">
		
				<div class="row p-t-20">
				<div class="col-md-12">
                <div class="col-md-12">
                <div class="form-group">
                <label class="control-label">Duyuru Başlığı</label>
                <input type="text" name="baslik" class="form-control" required>
				</div>
                </div>
				</div>
				</div>
              
				<div class="col-md-12">
                <div class="form-group has-success">
                <label class="control-label">Duyuru İçeriği</label>
                <textarea id="mymce" name="icerik">  İçeriğinizi bu alana yazabilirsiniz.  </textarea>
				</div>
                </div>
				
				<div class="col-md-12">
				<div class="row">
				<div class="col-md-12">
				
                <div class="form-group">
                <label class="control-label">Duyuru Dili</label>
                <select name="veri_dil" class="form-control">
			
				<?php
				$dil_al = mysql_query("SELECT * FROM diller ORDER BY id ASC limit 0,999");
				while($yaz=mysql_fetch_array($dil_al)){
				$id = $yaz['id'];
				$baslik = $yaz['baslik'];
				if($menu_dil_getir == $id){}else{
				echo '<option value="'.$id.'">'.$baslik.'</option>';
				}
				}
				?>
			
				</select>
				<small class="form-control-feedback">Duyurunun gösterileceği dili seçin</small>
                </div>
				
				</div>
				
				</div>
				</div>
                
                </div>
				
                <div class="card-body">
       
                <div class="form-actions">
				<?php if($kontrol_kullanici_yetki == "1"){?>
                <button type="submit" class="btn btn-primary"> <i class="fa fa-check"></i> Kaydet</button>
				<?php }else{echo '<a class="btn btn-primary text-white" data-toggle="modal" data-target="#uyari-modal"> <i class="fa fa-check"></i> Kaydet</a>'; }?>
                </div>
				</form>
                </div>
                </div>
                </div>
				<?php } ?>
				<!-- ################### -->
				<!-- Yeni İçerik Ekleme Alanı -->
				<!-- ################### -->
				
				
				
				
				
				
				
				<!-- ################### -->
				<!-- İçerik Düzenleme Alanı -->
				<!-- ################### -->


				<?php 
				$ileri = g('ileri');
				$id = g('id');
				switch($ileri){
				case "duzenle":

				$posted = "resim";
				$baslik = p('baslik');
				$icerik1 = $_POST["icerik"];
				$icerik = addslashes($icerik1);
				$seo_baslik = seo($baslik);
				$rastgele = rand(1000,9999);
				$seo_url = $seo_baslik;
				$seo_url2 = "$seo_baslik"."-$rastgele";
				$seo_anahtarkelime = p('seo_anahtarkelime');
				$seo_aciklama = p('seo_aciklama');
				$veri_dil = p('veri_dil');
				$ekleyen = "$yonetici_kullanici_adi";
				$goruntuleme = p('goruntuleme');
				$gizlinot = p('gizlinot');
				$icerik_durum = p('icerik_durum');
				$m4 = p('m4');
				$m5 = p('m5');
				$m6 = p('m6');
				$m7 = p('m7');
				$m8 = p('m8');
				$m9 = p('m9');
				$m10 = p('m10');
				$m11 = p('m11');
				$m12 = p('m12');
				$m13 = p('m13');
				$m14 = p('m14');
				$m15 = p('m15');
 
				// İşlem Kayıt Modülü
				$islemk_islem = "$baslik duyurusu düzenlendi";
				include("moduller/islemkayit_modul.php");


				$duzenle = mysql_query("update duyurular set 
				baslik='$baslik',
				icerik='$icerik',
				seo_url='$seo_url',
				seo_anahtarkelime='$seo_anahtarkelime',
				seo_aciklama='$seo_aciklama',
				goruntuleme='$goruntuleme',
				gizlinot='$gizlinot',
				icerik_durum='$icerik_durum',
				m4='$m4',
				m5='$m5',
				m6='$m6',
				m7='$m7',
				m8='$m8',
				m9='$m9',
				m10='$m10',
				m11='$m11',
				m12='$m12',
				m13='$m13',
				m14='$m14',
				m15='$m15',
				veri_dil='$veri_dil'
				where id='$id'") or die("Hata Olustu!");

				echo '<meta http-equiv="refresh" content="0;URL=duyurular.php?durum=duzenleme-basarili'.$d_k_d.'"> ';
				break;
				}
				?>	



				<?php if($islem == "duzenle"){?>
				
				<?php 
				// Seçilen içeriğin detaylarını getiriyoruz
				$idal = g("id");
				$icerik_getir=mysql_query("SELECT * FROM duyurular WHERE id='$idal'"); 
				$getir=mysql_fetch_array($icerik_getir); 
				$baslik = $getir['baslik'];
				$icerik = $getir['icerik'];
				$seo_anahtarkelime = $getir['seo_anahtarkelime'];
				$seo_aciklama = $getir['seo_aciklama'];
				$resim = $getir['resim'];
				$veri_dil = $getir['veri_dil'];
				$goruntuleme = $getir['goruntuleme'];
				$gizlinot = $getir['gizlinot'];
				$icerik_durum = $getir['icerik_durum'];
				
				?>
			
				<div class="col-lg-12">
                <div class="card card-outline-inverse">
                <div class="card-header">
                <h4 class="m-b-0 text-white"><?php echo "$baslik - İçeriğini düzenle";?></h4>
				
                </div>
				<form action="duyurular.php?islem=yeni&ileri=duzenle&id=<?php echo "$idal$d_k_d";?>" method="post" enctype="multipart/form-data">
				
				<div class="row p-t-20">
				<div class="col-md-12">
                <div class="col-md-12">
                <div class="form-group">
                <label class="control-label">Duyuru Başlığı</label>
                <input type="text" name="baslik" class="form-control" value="<?php echo "$baslik";?>" required>
				</div>
                </div>
				
			
				
				</div>
                
				</div>
                
				<div class="col-md-12">
                <div class="form-group has-success">
                <label class="control-label">Duyuru İçeriği</label>
                <textarea id="mymce" name="icerik"> <?php echo "$icerik" ;?> </textarea>
				</div>
                </div>
				
				
				<div class="col-md-12">
				<div class="row">
				<div class="col-md-12">
				
                <div class="form-group">
                <label class="control-label">Duyuru Dili</label>
				<select name="veri_dil" class="form-control">
			
				<?php
				
				$dil_bulasd=mysql_query("SELECT * FROM diller WHERE id='$veri_dil'"); 
				$getir=mysql_fetch_array($dil_bulasd); 
				$id = $getir['id'];
				$dil_baslik_yaz = $getir['baslik'];
				echo '<option value="'.$id.'">'.$dil_baslik_yaz.' </option>';
			
				$dil_al = mysql_query("SELECT * FROM diller ORDER BY id ASC limit 0,999");
				while($yaz=mysql_fetch_array($dil_al)){
				$id = $yaz['id'];
				$baslik = $yaz['baslik'];
				
				if($veri_dil == $id){}else{
				echo '<option value="'.$id.'">'.$baslik.'</option>';
				}
				}
				?>
				</select>
				<small class="form-control-feedback">Duyurunun gösterileceği dili seçin</small>
                </div>
				
				</div>
				
				</div>
				</div>
				
                </div>
				
				
				
                <div class="card-body">
                <div class="form-actions">
				<?php if($kontrol_kullanici_yetki == "1"){?>
                <button type="submit" class="btn btn-primary"> <i class="fa fa-check"></i> Güncelle</button>
				<?php }else{echo '<a class="btn btn-primary text-white" data-toggle="modal" data-target="#uyari-modal"> <i class="fa fa-check"></i> Güncelle</a>'; }?>
                </div>
				</form>
                </div>
                </div>
                </div>
				<?php } ?>
				<!-- ################### -->
				<!-- İçerik Düzenleme Alanı -->
				<!-- ################### -->				
				
				
				
				<?php if(empty($islem)){?>
				<div class="table-responsive">
                <table class="table">
                <thead>
                <tr>
                <th>Başlık</th>
                <th>Tarih</th>
                <th>Ekleyen</th>
                <th>İşlemler</th>
                </tr>
                </thead>
                <tbody>
				<?php
				
				if(empty($dilgoster)){ $duyurular_al = mysql_query("SELECT * FROM duyurular WHERE veri_dil='1' ORDER BY id DESC limit 0,999");}else{
				$duyurular_al = mysql_query("SELECT * FROM duyurular WHERE veri_dil='$dilgoster' ORDER BY id DESC limit 0,999");}
				while($yaz=mysql_fetch_array($duyurular_al)){
				$id = $yaz['id'];
				$baslik = $yaz['baslik'];
				$tarih = $yaz['tarih'];
				$ekleyen = $yaz['ekleyen'];
				$veri_dil = $yaz['veri_dil'];
				echo "
				<tr>
                <td>$baslik</td>
                <td>$tarih</td>
                <td>$ekleyen</td>
                <td>
				<a href='duyurular.php?islem=duzenle&id=$id$d_k_d'> <button class='btn btn-info btn-sm' title='Düzenle'><i class='fa fa-pencil-square-o' aria-hidden='true'></i></button></a> 
				"; if($kontrol_kullanici_yetki == "1"){echo "<a href='#' data-toggle='modal' data-target='#sil-modal$id'>";}else{echo "<a href='#' data-toggle='modal' data-target='#uyari-modal'>";}echo"<button class='btn btn-danger btn-sm' title='Sil'><i class='fa fa-trash-o' aria-hidden='true'></i></button>
				</td>
                </tr>
				";
				}?>
                
                <?php
				$sil_m_al = mysql_query("SELECT * FROM duyurular ORDER BY id DESC limit 0,999");
				while($yaz=mysql_fetch_array($sil_m_al)){
				$id = $yaz['id'];
				$baslik = $yaz['baslik'];	
			
				echo '
			
				<div id="sil-modal'.$id.'" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display: none;">
				<div class="modal-dialog">
				<div class="modal-content">
				<div class="modal-header">
				<h4 class="modal-title"><i class="fa fa-times" aria-hidden="true"></i> '.$baslik.' duyurusunu sil</h4>
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
				</div>
				<div class="modal-body">
				<p>'.$baslik.' duyurusunu gerçekten silmek istiyormusunuz ?</p>
				</div>
				<div class="modal-footer">
				<button type="button" class="btn btn-default waves-effect" data-dismiss="modal">Hayır</button>
				<a href="duyurular.php?sil=sil&id='.$id.''.$d_k_d.'"><button type="button" class="btn btn-danger waves-effect waves-light">Evet</button></a>
				</div>
				</div>
				</div>
				</div>
				';
				}?>   
				
                </tbody>
                </table>
                </div>
				<?php } ?>				
								
    
                </div>
                </div>
				</div>
                </div>
				</div>


	
<?php
include ("alt.php");
}
?>